GET/v1beta/models/{model}

Retrieve a model (Gemini)

One model in Google's shape. The whole path segment is the model name, so gpt-6-luna:free is read as one name.

認証: AuthorizationヘッダーにBearer形式のAPIキー

パスパラメータ

  • modelstring必須

    A model slug.

レスポンス

  • 200

    The model.

    レスポンス
    • namestring

      models/<slug>.

    • displayNamestring
    • supportedGenerationMethodsarray<string>
  • 401

    The key is missing or invalid.

    レスポンス
    • errorobject
      error
      • codeinteger

        The HTTP status.

      • messagestring
      • statusstring

        For example INVALID_ARGUMENT, UNAUTHENTICATED, RESOURCE_EXHAUSTED.

      • detailsarray<object>
  • 404

    The model is not callable by this key.

    レスポンス
    • errorobject
      error
      • codeinteger

        The HTTP status.

      • messagestring
      • statusstring

        For example INVALID_ARGUMENT, UNAUTHENTICATED, RESOURCE_EXHAUSTED.

      • detailsarray<object>

リクエスト

curl https://api.experientiallabs.ai/v1beta/models/gpt-6-luna \
  -H "x-goog-api-key: YOUR_API_KEY"

レスポンス

{
  "name": "models/gpt-6-luna",
  "displayName": "gpt-6-luna",
  "supportedGenerationMethods": [
    "generateContent",
    "streamGenerateContent",
    "countTokens"
  ]
}

https://api.experientiallabs.ai/v1beta/models/gpt-6-luna